Bug 863793

Summary: Review Request: skeinforge - Converts 3D model into G-Code for RepRap
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: Package ReviewAssignee: T.C. Hollingsworth <tchollingsworth>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: mario.blaettermann, me, notting, package-review, tchollingsworth, volker27
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: tchollingsworth: fedora‑review+
limburgher: fedora‑cvs+
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: skeinforge-12.03.14-16.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-11-30 21:49:00 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 863796    

Description Miro Hrončok 2012-10-07 08:47:19 EDT
Spec URL: https://raw.github.com/hroncok/SPECS/master/skeinforge.spec
SRPM URL: http://repo.hroncok.cz/SRPMS/skeinforge-12.03.14-6.fc17.src.rpm
Description: Skeinforge is a tool chain composed of Python scripts that converts your 3D model into G-Code instructions for RepRap.

Fedora Account System Username: churchyard
Comment 1 Miro Hrončok 2012-10-09 13:51:06 EDT
Spec URL: https://raw.github.com/hroncok/SPECS/master/skeinforge.spec
SRPM URL: http://repo.hroncok.cz/SRPMS/skeinforge-12.03.14-7.fc17.src.rpm

skeinforge dir no longer in printrun dir.
Comment 2 Volker Fröhlich 2012-10-14 16:13:36 EDT
Don't use macros for rm and cp.

Including the license file in the main package should be enough.

I'm a bit sceptical about how it is installed.

http://fabmetheus.crsndoo.com/wiki/index.php/How_To_Run_Skeinforge

This looks like GUI software to me. That requires a number of changes in the package.
Comment 3 Miro Hrončok 2012-10-14 16:20:18 EDT
Thanks.

Well, I could add a desktop file to run it, but everybody just runs Skeinforge from Pronterface, as I think about this more like about a library or set of scripts.

Is adding a desktop file the only think I should do, or should I also create something in /bin ?
Comment 4 Miro Hrončok 2012-10-29 12:51:15 EDT
Spec URL: https://raw.github.com/hroncok/SPECS/master/skeinforge.spec
SRPM URL: http://repo.hroncok.cz/SRPMS/skeinforge-12.03.14-8.fc17.src.rpm

- Added desktop file
- Don't use macros for rm and cp
- Removed license file from doc package
Comment 5 Volker Fröhlich 2012-10-29 15:06:40 EDT
Can you give a quote about the AGPL version? The code claims AGPL, but I couldn't find a note about which version.
Comment 6 Miro Hrončok 2012-10-29 15:32:30 EDT
Beta release here: http://members.axion.net/~enrique/reprap_python_beanshell.zip includes AGPLv3.

It will be in the next release.
Comment 7 Miro Hrončok 2012-10-31 14:07:12 EDT
Spec URL: https://raw.github.com/hroncok/SPECS/master/skeinforge.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/skeinforge-12.03.14-8.fc17.src.rpm

- Nothing has changed, I've just moved SRPM to a new location
Comment 8 Miro Hrončok 2012-12-30 01:37:21 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/skeinforge.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/skeinforge-12.03.14-9.fc17.src.rpm

- Do not download the desktop file from my GitHub
Comment 9 Miro Hrončok 2012-12-31 03:51:46 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/skeinforge.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/skeinforge-12.03.14-10.fc17.src.rpm

- Changed location of skeinforge from %{_datadir}/%{name}/
                                   to %{python_sitelib}/%{name}
Comment 10 Miro Hrončok 2013-01-08 09:34:32 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/skeinforge.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/skeinforge-12.03.14-11.fc17.src.rpm

- Don't add license.txt as a separate source
Comment 11 T.C. Hollingsworth 2013-01-11 17:56:01 EST
The SRPM URL is invalid:

% fedora-review -b 863793
Processing bugzilla bug: 863793
Getting .spec and .srpm Urls from : 863793
  --> SRPM url: https://github.com/downloads/hroncok/SPECS/skeinforge-12.03.14-11.fc17.src.rpm
  --> Spec url: https://raw.github.com/hroncok/SPECS/master/skeinforge.spec
Using review directory: /home/fedora/patches/863793-skeinforge
Downloading .spec and .srpm files
Error: 'Error 404 downloading https://github.com/downloads/hroncok/SPECS/skeinforge-12.03.14-11.fc17.src.rpm' (logs in ~/.cache/fedora-review.log)
Comment 12 Miro Hrončok 2013-01-12 12:06:41 EST
Sorry, I forgot to change the Fedora number.

Spec URL: https://raw.github.com/hroncok/SPECS/master/skeinforge.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/skeinforge-12.03.14-11.fc18.src.rpm
Comment 13 T.C. Hollingsworth 2013-01-13 05:41:01 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Status:  NEEDS WORK

==== Blocker Issues ====

- Please provide access to the application in /usr/bi.  (If it's worth
  providing a .desktop file, it's worth putting in /usr/bin as well. ;-)

- This package removes files from the BUILD directory in %install.  This breaks
  `rpmbuild --short-circuit`.  Remove these files in %prep or from %buildroot
  post-install instead.

- This package installs documentation in %{python_sitelib}, instead of using
  %doc.  Please use %doc, unless there is a clear, documented, reason not to.

- This package contains unnecessary shebang lines in %{python_sitelib}.  Please
  remove these in %prep.

- The spec file contains macros in the changelog.  Please escape them (e.g.
  "%%{python_sitelib}" or otherwise remove them.

See the rpmlint section at the bottom of the review for more details on the last
two issues.

==== Other Issues ====

- This package contains code that may be under other licenses than the primary
  license. Consider reflecting this fact in the License tag.  (See the section
  of the review pertaining to this for more details.)

- The packager has indicated that upstream is including a LICENSE file in a
  future release.  Please do not forget to include this file when the new
  version is released.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

Don't forget to include this once upstream provides it.
     
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v3 or later)", "*No copyright* GPL (v2 or later)",
     "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or generated". 5 files
     have unknown license. Detailed output of licensecheck in
     /home/fedora/patches/863793-skeinforge/licensecheck.txt

I think licensecheck may think the AGPL is the GPL  If not, you might want to 
add e.g. "and GPLv2+ and GPLv3+", though it isn't strictly necessary since the
AGPL ends up being the most restrictive license.
     
[-]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (50_reprap_python_beanshell.zip)
     
    Not a blocker, you don't control upstream's naming scheme. ;-)
    
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: skeinforge-doc-12.03.14-11.fc19.noarch.rpm
          skeinforge-12.03.14-11.fc19.noarch.rpm
          skeinforge-12.03.14-11.fc19.src.rpm
skeinforge-doc.noarch: W: no-documentation
skeinforge.noarch: W: no-documentation

Okay; the packager is waiting on a new upstream release with a LICENSE file.

skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/fabmetheus_utilities/miscellaneous/fabricate/RepRapArduinoSerialSender.py 0644L /usr/bin/env
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/skeinforge_application/skeinforge_plugins/craft_plugins/preface.py 0644L /usr/bin/env
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/fabmetheus_utilities/miscellaneous/fabricate/example.py 0644L /usr/bin/python
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/fabmetheus_utilities/miscellaneous/fabricate/send.py 0644L /usr/bin/python2.5
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/skeinforge_application/skeinforge_plugins/craft_plugins/limit.py 0644L /usr/bin/env
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/skeinforge_application/skeinforge_plugins/craft_plugins/alteration.py 0644L /usr/bin/env
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/skeinforge_application/skeinforge_plugins/craft_plugins/widen.py 0644L /usr/bin/env
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/skeinforge_application/skeinforge_plugins/craft_plugins/fill.py 0644L /usr/bin/env
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/skeinforge_application/skeinforge_plugins/craft_plugins/scale.py 0644L /usr/bin/env
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/fabmetheus_utilities/miscellaneous/fabricate/frank_davies/t.sh 0644L /bin/sh
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/skeinforge_application/skeinforge_plugins/craft_plugins/inset.py 0644L /usr/bin/env
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/skeinforge_application/skeinforge_plugins/craft_plugins/bottom.py 0644L /usr/bin/env
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/skeinforge_application/skeinforge_plugins/craft_plugins/dimension.py 0644L /usr/bin/env

Please remove the unnecessary shebang lines in %prep.

skeinforge.src:57: W: macro-in-%changelog %{_datadir}
skeinforge.src:57: W: macro-in-%changelog %{name}
skeinforge.src:58: W: macro-in-%changelog %{python_sitelib}
skeinforge.src:58: W: macro-in-%changelog %{name}
skeinforge.src:78: W: macro-in-%changelog %{_datadir}

Please escape these macros.  (e.g. %%{_datadir})

3 packages and 0 specfiles checked; 13 errors, 7 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint skeinforge-doc skeinforge
skeinforge-doc.noarch: W: no-documentation
skeinforge.noarch: W: no-documentation
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/fabmetheus_utilities/miscellaneous/fabricate/RepRapArduinoSerialSender.py 0644L /usr/bin/env
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/skeinforge_application/skeinforge_plugins/craft_plugins/preface.py 0644L /usr/bin/env
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/fabmetheus_utilities/miscellaneous/fabricate/example.py 0644L /usr/bin/python
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/fabmetheus_utilities/miscellaneous/fabricate/send.py 0644L /usr/bin/python2.5
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/skeinforge_application/skeinforge_plugins/craft_plugins/limit.py 0644L /usr/bin/env
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/skeinforge_application/skeinforge_plugins/craft_plugins/alteration.py 0644L /usr/bin/env
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/skeinforge_application/skeinforge_plugins/craft_plugins/widen.py 0644L /usr/bin/env
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/skeinforge_application/skeinforge_plugins/craft_plugins/fill.py 0644L /usr/bin/env
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/skeinforge_application/skeinforge_plugins/craft_plugins/scale.py 0644L /usr/bin/env
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/fabmetheus_utilities/miscellaneous/fabricate/frank_davies/t.sh 0644L /bin/sh
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/skeinforge_application/skeinforge_plugins/craft_plugins/inset.py 0644L /usr/bin/env
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/skeinforge_application/skeinforge_plugins/craft_plugins/bottom.py 0644L /usr/bin/env
skeinforge.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/skeinforge/skeinforge_application/skeinforge_plugins/craft_plugins/dimension.py 0644L /usr/bin/env
2 packages and 0 specfiles checked; 13 errors, 2 warnings.

All addressed above.

Requires
--------
skeinforge-doc-12.03.14-11.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    skeinforge = 12.03.14-11.fc19


skeinforge-12.03.14-11.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    /usr/bin/python
    python(abi) = 2.7
    python2
    tkinter

Provides
--------
skeinforge-doc-12.03.14-11.fc19.noarch.rpm:
    
    skeinforge-doc = 12.03.14-11.fc19

skeinforge-12.03.14-11.fc19.noarch.rpm:
    
    skeinforge = 12.03.14-11.fc19

MD5-sum check
-------------
http://fabmetheus.crsndoo.com/files/50_reprap_python_beanshell.zip :
  CHECKSUM(SHA256) this package     : ba978c6bc6301cb7082cf8da1ee94eee376cd7e8885ddc1bd094bcf7511d060a
  CHECKSUM(SHA256) upstream package : ba978c6bc6301cb7082cf8da1ee94eee376cd7e8885ddc1bd094bcf7511d060a


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b863793
Comment 14 Miro Hrončok 2013-01-13 06:36:13 EST
(In reply to comment #13)
> - Please provide access to the application in /usr/bi.  (If it's worth
>   providing a .desktop file, it's worth putting in /usr/bin as well. ;-)
Actually, it's not worth providing a .desktop file, but unfortunately, packaging guidelines say so. But OK, a shell script to /usr/bin shouldn't be a problem.

> - This package installs documentation in %{python_sitelib}, instead of using
>   %doc.  Please use %doc, unless there is a clear, documented, reason not to.
There is a button in the application, that opens the documentation.

I could either symlink the documentation form doc to python_sitelib, or patch the app to search it in doc, but in both cases, it would brake the rule "If a package includes something as %doc, it must not affect the runtime of the application", right?

Will clear the rest issues.
Comment 15 T.C. Hollingsworth 2013-01-13 07:41:53 EST
(In reply to comment #14)
> > - This package installs documentation in %{python_sitelib}, instead of using
> >   %doc.  Please use %doc, unless there is a clear, documented, reason not to.
> There is a button in the application, that opens the documentation.
> 
> I could either symlink the documentation form doc to python_sitelib, or
> patch the app to search it in doc, but in both cases, it would brake the
> rule "If a package includes something as %doc, it must not affect the
> runtime of the application", right?

It's okay to break online help if excludedoc is set, I think.  (KDE does the same thing, as do many other packages.)   Even if not, this would still need to go in %_datadir, help in %python_sitelib is just wrong.
Comment 16 T.C. Hollingsworth 2013-01-13 09:13:38 EST
By the way, this documentation package is only 224KB.  I'm not sure why that needs to be separately packaged.
Comment 17 Miro Hrončok 2013-01-13 12:30:06 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/skeinforge.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/skeinforge-12.03.14-12.fc18.src.rpm

- Comment macros in changelog
- Remove shebangs from nonexecutable files
- Move deleting files from %%install to %%prep
- Added bash launcher to /usr/bin
- Modified .desktop file to use that launcher
- Moved documentation to %doc (help button in the app doesn't work anyway)
- Patch0: Remove non-working help button

I left the -doc separated, as it is not big, but it has lot's of files.
Comment 18 Miro Hrončok 2013-01-13 13:14:34 EST
- Require pypy (used in craft launcher)
Comment 19 T.C. Hollingsworth 2013-01-13 17:14:50 EST
This package is still not yet rpmlint clean:

Rpmlint
-------
Checking: skeinforge-12.03.14-12.fc19.noarch.rpm
          skeinforge-doc-12.03.14-12.fc19.noarch.rpm
          skeinforge-12.03.14-12.fc19.src.rpm
skeinforge.noarch: W: no-documentation
skeinforge.noarch: E: non-standard-executable-perm /usr/bin/skeinforge-craft 0775L
skeinforge.noarch: E: non-standard-executable-perm /usr/bin/skeinforge 0775L

These should be 0755, unless there is clear rationale for otherwise.

skeinforge.noarch: W: no-manual-page-for-binary skeinforge
skeinforge.noarch: W: no-manual-page-for-binary skeinforge-craft

Ignore these, this is a GUI application.

skeinforge.src: W: strange-permission skeinforge 0775L
skeinforge.src: W: strange-permission skeinforge-craft 0775L

See above.

skeinforge.src:82: W: macro-in-%changelog %doc
3 packages and 0 specfiles checked; 2 errors, 6 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint skeinforge-doc skeinforge
skeinforge.noarch: W: no-documentation
skeinforge.noarch: E: non-standard-executable-perm /usr/bin/skeinforge-craft 0775L
skeinforge.noarch: E: non-standard-executable-perm /usr/bin/skeinforge 0775L
skeinforge.noarch: W: no-manual-page-for-binary skeinforge
skeinforge.noarch: W: no-manual-page-for-binary skeinforge-craft
2 packages and 0 specfiles checked; 2 errors, 3 warnings.
Comment 20 Miro Hrončok 2013-01-13 17:21:29 EST
Sorry. Haven't noticed that. Try it now please (didn't bumped revision number, as there is no change in spec). Don't forget to mv ...rpm.1 to ...rpm if using wget.
Comment 21 T.C. Hollingsworth 2013-01-13 17:52:20 EST
In the future, please bump Release even if there are no spec changes, just SRPM changes.  It's really easy to do (especially if you use `rpmdev-bumpspec`), eliminates the chance of mistakes like the wget thing you mentioned, and is a required part of the review process.

rpmlint is almost clean, except for the "macro-in-%changelog %doc" issue.  (Sorry, I forgot to call attention to that in the last comment.)  Please fix that in git.

To reduce the chance of things like the problematic executable permission from happening in the future, consider explicitly setting the permissions of packager-provided SourceN files upon install, e.g. by doing `install -Dpm0755 %{SOURCE7} %{buildroot}%{_bindir}/foo`.

This package is APPROVED.
Comment 22 Miro Hrončok 2013-01-13 17:58:22 EST
Thanks a lot for the review and for the tips.
Comment 23 Miro Hrončok 2013-01-13 17:59:26 EST
New Package SCM Request
=======================
Package Name: skeinforge
Short Description: Converts 3D model into G-Code for RepRap
Owners: churchyard
Branches: f17 f18
Comment 24 Jon Ciesla 2013-01-14 06:50:56 EST
Git done (by process-git-requests).
Comment 25 Fedora Update System 2013-01-14 12:44:00 EST
skeinforge-12.03.14-12.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/skeinforge-12.03.14-12.fc18
Comment 26 Fedora Update System 2013-01-14 12:45:03 EST
skeinforge-12.03.14-12.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/skeinforge-12.03.14-12.fc17
Comment 27 Fedora Update System 2013-01-16 14:23:11 EST
skeinforge-12.03.14-12.fc18 has been pushed to the Fedora 18 testing repository.
Comment 28 Fedora Update System 2013-01-24 16:58:58 EST
skeinforge-12.03.14-12.fc18 has been pushed to the Fedora 18 stable repository.
Comment 29 Fedora Update System 2013-01-24 17:40:10 EST
skeinforge-12.03.14-12.fc17 has been pushed to the Fedora 17 stable repository.
Comment 30 Miro Hrončok 2013-11-13 13:44:33 EST
Package Change Request
======================
Package Name: skeinforge
New Branches: el6
Owners: churchyard
Comment 31 Jon Ciesla 2013-11-13 13:57:40 EST
Git done (by process-git-requests).
Comment 32 Fedora Update System 2013-11-13 14:22:14 EST
skeinforge-12.03.14-16.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/skeinforge-12.03.14-16.el6
Comment 33 Fedora Update System 2013-11-14 14:23:09 EST
skeinforge-12.03.14-16.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 34 Fedora Update System 2013-11-30 21:49:00 EST
skeinforge-12.03.14-16.el6 has been pushed to the Fedora EPEL 6 stable repository.